// _AdministrationPrimes_Interface.java
// Created on 12 août 2010 by JavaClient Wizard 1.0
/*
 * Copyright Consortium Cocktail
 *
 * cocktail@univ-lr.fr
 *
 * Logiciel de gestion des ressources humaines des établissements.
 *
 * Ce logiciel est régi par la licence CeCILL soumise au droit français et
 * respectant les principes de diffusion des logiciels libres. Vous pouvez
 * utiliser, modifier et/ou redistribuer ce programme sous les conditions
 * de la licence CeCILL telle que diffusée par le CEA, le CNRS et l'INRIA
 * sur le site "http://www.cecill.info".

 * En contrepartie de l'accessibilité au code source et des droits de copie,
 * de modification et de redistribution accordés par cette licence, il n'est
 * offert aux utilisateurs qu'une garantie limitée.  Pour les mêmes raisons,
 * seule une responsabilité restreinte pèse sur l'auteur du programme,  le
 * titulaire des droits patrimoniaux et les concédants successifs.

 * A cet égard  l'attention de l'utilisateur est attirée sur les risques
 * associés au chargement,  à l'utilisation,  à la modification et/ou au
 * développement et à la reproduction du logiciel par l'utilisateur étant
 * donné sa spécificité de logiciel libre, qui peut le rendre complexe à
 * manipuler et qui le réserve donc à des développeurs et des professionnels
 * avertis possédant  des  connaissances  informatiques approfondies.  Les
 * utilisateurs sont donc invités à charger  et  tester  l'adéquation  du
 * logiciel à leurs besoins dans des conditions permettant d'assurer la
 * sécurité de leurs systèmes et ou de leurs données et, plus généralement,
 * à l'utiliser et l'exploiter dans les mêmes conditions de sécurité.

 * Le fait que vous puissiez accéder à cet en-tête signifie que vous avez
 * pris connaissance de la licence CeCILL, et que vous en avez accepté les
 * termes.
 */
package org.cocktail.mangue.client.primes.interfaces;
import org.cocktail.component.COFrame;

/**
 *
 * @author  christine
 */
public class _AdministrationPrimes_Interface extends COFrame {

    /** Creates new form _AdministrationPrimes_Interface */
    public _AdministrationPrimes_Interface() {
        super();
        initComponents();
    }

    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        displayGroup = new org.cocktail.component.CODisplayGroup();
        displayGroupCodes = new org.cocktail.component.CODisplayGroupDetail();
        jLabel1 = new javax.swing.JLabel();
        cOComboBox1 = new org.cocktail.component.COComboBox();
        cOComboBox2 = new org.cocktail.component.COComboBox();
        listeAffichage = new org.cocktail.component.COTable();
        cOView1 = new org.cocktail.component.COView();
        listeCodes = new org.cocktail.component.COTable();
        cOView2 = new org.cocktail.component.COView();
        cOCheckbox6 = new org.cocktail.component.COCheckbox();
        cOCheckbox2 = new org.cocktail.component.COCheckbox();
        cOCheckbox10 = new org.cocktail.component.COCheckbox();
        cOCheckbox3 = new org.cocktail.component.COCheckbox();
        cOCheckbox7 = new org.cocktail.component.COCheckbox();
        cOCheckbox9 = new org.cocktail.component.COCheckbox();
        cOCheckbox4 = new org.cocktail.component.COCheckbox();
        cOCheckbox8 = new org.cocktail.component.COCheckbox();
        cOCheckbox5 = new org.cocktail.component.COCheckbox();
        cOCheckbox11 = new org.cocktail.component.COCheckbox();
        cOCheckbox1 = new org.cocktail.component.COCheckbox();
        cOTextField1 = new org.cocktail.component.COTextField();
        jLabel2 = new javax.swing.JLabel();
        jLabel3 = new javax.swing.JLabel();
        cOCheckbox17 = new org.cocktail.component.COCheckbox();
        cOCheckbox13 = new org.cocktail.component.COCheckbox();
        cOCheckbox16 = new org.cocktail.component.COCheckbox();
        cOCheckbox14 = new org.cocktail.component.COCheckbox();
        cOCheckbox15 = new org.cocktail.component.COCheckbox();
        cOCheckbox18 = new org.cocktail.component.COCheckbox();
        cOCheckbox12 = new org.cocktail.component.COCheckbox();
        jLabel4 = new javax.swing.JLabel();
        jLabel5 = new javax.swing.JLabel();
        cOTextField2 = new org.cocktail.component.COTextField();
        cOTextField3 = new org.cocktail.component.COTextField();
        jLabel7 = new javax.swing.JLabel();
        cOComboBox5 = new org.cocktail.component.COComboBox();
        jLabel6 = new javax.swing.JLabel();
        cOComboBox3 = new org.cocktail.component.COComboBox();
        jLabel8 = new javax.swing.JLabel();
        cOComboBox4 = new org.cocktail.component.COComboBox();
        cOButton5 = new org.cocktail.component.COButton();
        cOButton4 = new org.cocktail.component.COButton();
        vueBoutonsValidation = new org.cocktail.component.COView();
        cOButton9 = new org.cocktail.component.COButton();
        cOButton10 = new org.cocktail.component.COButton();
        cOButton1 = new org.cocktail.component.COButton();
        jLabel10 = new javax.swing.JLabel();
        cOTextField6 = new org.cocktail.component.COTextField();
        jLabel12 = new javax.swing.JLabel();
        cOTextField10 = new org.cocktail.component.COTextField();
        jLabel14 = new javax.swing.JLabel();
        cOTextField8 = new org.cocktail.component.COTextField();
        jLabel18 = new javax.swing.JLabel();
        cOTextField12 = new org.cocktail.component.COTextField();
        jLabel19 = new javax.swing.JLabel();
        cOTextField15 = new org.cocktail.component.COTextField();
        jLabel20 = new javax.swing.JLabel();
        cOTextField13 = new org.cocktail.component.COTextField();
        jLabel9 = new javax.swing.JLabel();
        cOTextField5 = new org.cocktail.component.COTextField();
        jLabel11 = new javax.swing.JLabel();
        cOTextField4 = new org.cocktail.component.COTextField();
        jLabel13 = new javax.swing.JLabel();
        cOTextField9 = new org.cocktail.component.COTextField();
        jLabel15 = new javax.swing.JLabel();
        cOTextField11 = new org.cocktail.component.COTextField();
        cOTextField7 = new org.cocktail.component.COTextField();
        jLabel17 = new javax.swing.JLabel();
        cOTextField14 = new org.cocktail.component.COTextField();
        jLabel16 = new javax.swing.JLabel();
        cOButton8 = new org.cocktail.component.COButton();
        cOButton11 = new org.cocktail.component.COButton();
        vueBoutonsModification = new org.cocktail.component.COView();
        cOButton2 = new org.cocktail.component.COButton();
        cOButton3 = new org.cocktail.component.COButton();
        cOButton6 = new org.cocktail.component.COButton();
        cOButton7 = new org.cocktail.component.COButton();

        displayGroup.setEntityName("Prime");
        displayGroup.setHasDelegate(true);
        displayGroup.setIsMainDisplayGroupForController(true);

        displayGroupCodes.setDetailRelationship("codes");
        displayGroupCodes.setDisplayGroupMaster(displayGroup);
        displayGroupCodes.setEntityName("PrimeCode");

        setControllerClassName("org.cocktail.mangue.client.primes.AdministrationPrimes");
        setSize(new java.awt.Dimension(817, 583));

        jLabel1.setFont(new java.awt.Font("Helvetica", 0, 11));
        jLabel1.setText("Population");

        cOComboBox1.setEnabledMethod("popupActif");
        cOComboBox1.setTitleForSelection("typeValidite");
        cOComboBox1.setTitles("Valides,Historique");

        cOComboBox2.setEnabledMethod("popupActif");
        cOComboBox2.setTitleForSelection("typePopulationSelectionnee");
        cOComboBox2.setTitles("*,Enseignant,IATOS,Commun");

        listeAffichage.setColumns(new Object[][] {{null,"primCodeIndemnite",new Integer(2),"Code",new Integer(0),new Integer(50),new Integer(1000),new Integer(10)},{"","primLibCourt",new Integer(2),"Libellé",new Integer(0),new Integer(240),new Integer(1000),new Integer(10)},{"%d/%m/%Y","debutValidite",new Integer(0),"Début Validité",new Integer(0),new Integer(83),new Integer(1000),new Integer(10)},{"%d/%m/%Y","finValidite",new Integer(0),"Fin Validité",new Integer(0),new Integer(76),new Integer(1000),new Integer(10)},{"","primTypePopulation",new Integer(0),"Type Population",new Integer(0),new Integer(92),new Integer(1000),new Integer(10)},{null,"primPeriodicite",new Integer(0),"Périodicité",new Integer(0),new Integer(79),new Integer(1000),new Integer(10)},{null,"primCode",new Integer(2),"Code interne",new Integer(0),new Integer(89),new Integer(1000),new Integer(10)}});
        listeAffichage.setDisplayGroupForTable(displayGroup);

        cOView1.setIsBox(true);

        listeCodes.setColumns(new Object[][] {{null,"pcodCode",new Integer(0),"Code",new Integer(0),new Integer(105),new Integer(1000),new Integer(10)},{null,"pcodLibelle",new Integer(2),"Libellé",new Integer(0),new Integer(512),new Integer(1000),new Integer(38)}});
        listeCodes.setDisplayGroupForTable(displayGroupCodes);

        cOView2.setFont(new java.awt.Font("Helvetica", 0, 11));
        cOView2.setIsBox(true);
        cOView2.setTitle("Vérifier");

        cOCheckbox6.setDisplayGroupForValue(displayGroup);
        cOCheckbox6.setEnabledMethod("modificationEnCours");
        cOCheckbox6.setFont(new java.awt.Font("Helvetica", 0, 11));
        cOCheckbox6.setText("Contrat");
        cOCheckbox6.setValueName("verifierContrat");
        cOCheckbox6.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                cOCheckbox6ActionPerformed(evt);
            }
        });

        cOCheckbox2.setDisplayGroupForValue(displayGroup);
        cOCheckbox2.setEnabledMethod("modificationEnCours");
        cOCheckbox2.setFont(new java.awt.Font("Helvetica", 0, 11));
        cOCheckbox2.setText("Population");
        cOCheckbox2.setValueName("verifierPopulation");

        cOCheckbox10.setDisplayGroupForValue(displayGroup);
        cOCheckbox10.setEnabledMethod("modificationEnCours");
        cOCheckbox10.setFont(new java.awt.Font("Helvetica", 0, 11));
        cOCheckbox10.setText("Position");
        cOCheckbox10.setValueName("verifierPosition");

        cOCheckbox3.setDisplayGroupForValue(displayGroup);
        cOCheckbox3.setEnabledMethod("modificationEnCours");
        cOCheckbox3.setFont(new java.awt.Font("Helvetica", 0, 11));
        cOCheckbox3.setText("Indice");
        cOCheckbox3.setValueName("verifierIndice");

        cOCheckbox7.setDisplayGroupForValue(displayGroup);
        cOCheckbox7.setEnabledMethod("modificationEnCours");
        cOCheckbox7.setFont(new java.awt.Font("Helvetica", 0, 11));
        cOCheckbox7.setText("Fonction");
        cOCheckbox7.setValueName("verifierFonction");

        cOCheckbox9.setDisplayGroupForValue(displayGroup);
        cOCheckbox9.setEnabledMethod("modificationEnCours");
        cOCheckbox9.setFont(new java.awt.Font("Helvetica", 0, 11));
        cOCheckbox9.setText("Structure");
        cOCheckbox9.setValueName("verifierStructure");
        cOCheckbox9.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                cOCheckbox9ActionPerformed(evt);
            }
        });

        cOCheckbox4.setDisplayGroupForValue(displayGroup);
        cOCheckbox4.setEnabledMethod("modificationEnCours");
        cOCheckbox4.setFont(new java.awt.Font("Helvetica", 0, 11));
        cOCheckbox4.setText("Corps");
        cOCheckbox4.setValueName("verifierCorps");

        cOCheckbox8.setDisplayGroupForValue(displayGroup);
        cOCheckbox8.setEnabledMethod("modificationEnCours");
        cOCheckbox8.setFont(new java.awt.Font("Helvetica", 0, 11));
        cOCheckbox8.setText("Echelon");
        cOCheckbox8.setValueName("verifierEchelon");

        cOCheckbox5.setDisplayGroupForValue(displayGroup);
        cOCheckbox5.setEnabledMethod("modificationEnCours");
        cOCheckbox5.setFont(new java.awt.Font("Helvetica", 0, 11));
        cOCheckbox5.setText("Spécialité");
        cOCheckbox5.setValueName("verifierSpecialite");

        cOCheckbox11.setDisplayGroupForValue(displayGroup);
        cOCheckbox11.setEnabledMethod("modificationEnCours");
        cOCheckbox11.setFont(new java.awt.Font("Helvetica", 0, 11));
        cOCheckbox11.setText("Exclusion");
        cOCheckbox11.setValueName("verifierExclusion");

        cOCheckbox1.setDisplayGroupForValue(displayGroup);
        cOCheckbox1.setEnabledMethod("modificationEnCours");
        cOCheckbox1.setFont(new java.awt.Font("Helvetica", 0, 11));
        cOCheckbox1.setText("Grade");
        cOCheckbox1.setValueName("verifierGrade");
        cOCheckbox1.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                cOCheckbox1ActionPerformed(evt);
            }
        });

        org.jdesktop.layout.GroupLayout cOView2Layout = new org.jdesktop.layout.GroupLayout(cOView2);
        cOView2.setLayout(cOView2Layout);
        cOView2Layout.setHorizontalGroup(
            cOView2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(cOView2Layout.createSequentialGroup()
                .add(18, 18, 18)
                .add(cOView2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(cOCheckbox11, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(cOCheckbox10, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(cOView2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(cOCheckbox6, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(cOCheckbox9, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(cOView2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(cOCheckbox2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(cOCheckbox3, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(cOView2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(cOCheckbox4, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(cOCheckbox7, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(cOView2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(cOView2Layout.createSequentialGroup()
                        .add(cOCheckbox1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(18, 18, 18)
                        .add(cOCheckbox8, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(cOCheckbox5, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addContainerGap())
        );
        cOView2Layout.setVerticalGroup(
            cOView2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(cOView2Layout.createSequentialGroup()
                .add(cOView2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(cOCheckbox11, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(cOCheckbox9, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(cOCheckbox8, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(cOCheckbox1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(cOCheckbox4, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(cOCheckbox2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(cOView2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(cOCheckbox10, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(cOCheckbox6, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(cOCheckbox5, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(cOCheckbox7, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(cOCheckbox3, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addContainerGap(org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );

        cOTextField1.setDisplayGroupForValue(displayGroup);
        cOTextField1.setEnabledMethod("modificationEnCours");
        cOTextField1.setFont(new java.awt.Font("Helvetica", 0, 11));
        cOTextField1.setSupportsBackgroundColor(true);
        cOTextField1.setValueName("primNomClasse");

        jLabel2.setFont(new java.awt.Font("Helvetica", 0, 11));
        jLabel2.setText("Plugin");

        jLabel3.setFont(new java.awt.Font("Helvetica", 0, 11));
        jLabel3.setText("Codes");

        cOCheckbox17.setDisplayGroupForValue(displayGroup);
        cOCheckbox17.setEnabledMethod("modificationEnCours");
        cOCheckbox17.setFont(new java.awt.Font("Helvetica", 0, 11));
        cOCheckbox17.setText("Personnalisable");
        cOCheckbox17.setValueName("estPersonnalisable");

        cOCheckbox13.setDisplayGroupForValue(displayGroup);
        cOCheckbox13.setEnabledMethod("modificationEnCours");
        cOCheckbox13.setFont(new java.awt.Font("Helvetica", 0, 11));
        cOCheckbox13.setText("Locale à l'établissement");
        cOCheckbox13.setValueName("estLocale");

        cOCheckbox16.setDisplayGroupForValue(displayGroup);
        cOCheckbox16.setEnabledMethod("modificationEnCours");
        cOCheckbox16.setFont(new java.awt.Font("Helvetica", 0, 11));
        cOCheckbox16.setText("Individuelle");
        cOCheckbox16.setValueName("estIndividuelle");
        cOCheckbox16.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                cOCheckbox16ActionPerformed(evt);
            }
        });

        cOCheckbox14.setDisplayGroupForValue(displayGroup);
        cOCheckbox14.setEnabledMethod("modificationEnCours");
        cOCheckbox14.setFont(new java.awt.Font("Helvetica", 0, 11));
        cOCheckbox14.setText("Attribution Unique dans l'année");
        cOCheckbox14.setValueName("estAttributionUniqueDansAnnee");

        cOCheckbox15.setDisplayGroupForValue(displayGroup);
        cOCheckbox15.setEnabledMethod("modificationEnCours");
        cOCheckbox15.setFont(new java.awt.Font("Helvetica", 0, 11));
        cOCheckbox15.setText("Retenue pour Congé");
        cOCheckbox15.setValueName("estRetenue");
        cOCheckbox15.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                cOCheckbox15ActionPerformed(evt);
            }
        });

        cOCheckbox18.setDisplayGroupForValue(displayGroup);
        cOCheckbox18.setEnabledMethod("modificationEnCours");
        cOCheckbox18.setFont(new java.awt.Font("Helvetica", 0, 11));
        cOCheckbox18.setText("Soumise à Pension Civile");
        cOCheckbox18.setValueName("estValidePourPension");

        cOCheckbox12.setDisplayGroupForValue(displayGroup);
        cOCheckbox12.setEnabledMethod("modificationEnCours");
        cOCheckbox12.setFont(new java.awt.Font("Helvetica", 0, 11));
        cOCheckbox12.setText("Proratisation Temps Partiel");
        cOCheckbox12.setValueName("estProratisable");

        jLabel4.setFont(new java.awt.Font("Helvetica", 0, 11));
        jLabel4.setText("Libellé long");

        jLabel5.setFont(new java.awt.Font("Helvetica", 1, 11));
        jLabel5.setText("Libellé court");

        cOTextField2.setDisplayGroupForValue(displayGroup);
        cOTextField2.setEnabledMethod("modificationEnCours");
        cOTextField2.setFont(new java.awt.Font("Helvetica", 0, 11));
        cOTextField2.setSupportsBackgroundColor(true);
        cOTextField2.setValueName("primLibCourt");

        cOTextField3.setDisplayGroupForValue(displayGroup);
        cOTextField3.setEnabledMethod("modificationEnCours");
        cOTextField3.setFont(new java.awt.Font("Helvetica", 0, 11));
        cOTextField3.setSupportsBackgroundColor(true);
        cOTextField3.setValueName("primLibLong");

        jLabel7.setFont(new java.awt.Font("Helvetica", 0, 11));
        jLabel7.setText("Versement");

        cOComboBox5.setAttributeForSelection("periodicite");
        cOComboBox5.setDisplayGroupForSelection(displayGroup);
        cOComboBox5.setEnabledMethod("modificationEnCours");
        cOComboBox5.setFont(new java.awt.Font("Helvetica", 0, 11));
        cOComboBox5.setTitles("Unique,Annuel,Semestriel,Trimestriel,Mensuel");

        jLabel6.setFont(new java.awt.Font("Helvetica", 1, 11));
        jLabel6.setText("Population");

        cOComboBox3.setAttributeForSelection("typePopulation");
        cOComboBox3.setDisplayGroupForSelection(displayGroup);
        cOComboBox3.setEnabledMethod("modificationEnCours");
        cOComboBox3.setFont(new java.awt.Font("Helvetica", 0, 11));
        cOComboBox3.setTitles("Enseignant,IATOS,Commun");

        jLabel8.setFont(new java.awt.Font("Helvetica", 0, 11));
        jLabel8.setText("Mois Démarrage");

        cOComboBox4.setEnabledMethod("modificationEnCours");
        cOComboBox4.setFont(new java.awt.Font("Helvetica", 0, 11));
        cOComboBox4.setIndexForSelection("moisSelectionne");
        cOComboBox4.setTitles("janvier,février,mars,avril,mai,juin,juillet,août,septembre,octobre,novembre,décembre");

        cOButton5.setActionName("supprimerCodes");
        cOButton5.setBorderPainted(false);
        cOButton5.setEnabledMethod("modificationEnCours");
        cOButton5.setIconName("supprimer16.gif");

        cOButton4.setActionName("ajouterCodes");
        cOButton4.setBorderPainted(false);
        cOButton4.setEnabledMethod("modificationEnCours");
        cOButton4.setIconName("ajouter16.gif");

        cOButton9.setActionName("annuler");
        cOButton9.setBorderPainted(false);
        cOButton9.setEnabledMethod("modificationEnCours");
        cOButton9.setIconName("annuler16.gif");

        cOButton10.setActionName("valider");
        cOButton10.setBorderPainted(false);
        cOButton10.setEnabledMethod("peutValider");
        cOButton10.setIconName("valider16.gif");

        org.jdesktop.layout.GroupLayout vueBoutonsValidationLayout = new org.jdesktop.layout.GroupLayout(vueBoutonsValidation);
        vueBoutonsValidation.setLayout(vueBoutonsValidationLayout);
        vueBoutonsValidationLayout.setHorizontalGroup(
            vueBoutonsValidationLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(vueBoutonsValidationLayout.createSequentialGroup()
                .addContainerGap(org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .add(cOButton9, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(cOButton10, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
        );
        vueBoutonsValidationLayout.setVerticalGroup(
            vueBoutonsValidationLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(vueBoutonsValidationLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                .add(cOButton9, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(cOButton10, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
        );

        cOButton1.setActionName("afficherAide");
        cOButton1.setEnabledMethod("modificationEnCours");
        cOButton1.setFont(new java.awt.Font("Helvetica", 0, 11));
        cOButton1.setText("Saisie Aide");

        jLabel10.setFont(new java.awt.Font("Helvetica", 0, 11));
        jLabel10.setText("Imput. Etab");

        cOTextField6.setDisplayGroupForValue(displayGroup);
        cOTextField6.setEnabledMethod("modificationEnCours");
        cOTextField6.setFont(new java.awt.Font("Helvetica", 0, 11));
        cOTextField6.setSupportsBackgroundColor(true);
        cOTextField6.setValueName("pcoNum");

        jLabel12.setFont(new java.awt.Font("Helvetica", 0, 11)); // NOI18N
        jLabel12.setText("Décret");

        cOTextField10.setDisplayGroupForValue(displayGroup);
        cOTextField10.setEnabledMethod("modificationEnCours");
        cOTextField10.setFont(new java.awt.Font("Helvetica", 0, 11));
        cOTextField10.setSupportsBackgroundColor(true);
        cOTextField10.setValueName("primDecret");

        jLabel14.setFont(new java.awt.Font("Helvetica", 0, 11));
        jLabel14.setText("Réf. légale");

        cOTextField8.setDisplayGroupForValue(displayGroup);
        cOTextField8.setEnabledMethod("modificationEnCours");
        cOTextField8.setFont(new java.awt.Font("Helvetica", 0, 11));
        cOTextField8.setSupportsBackgroundColor(true);
        cOTextField8.setValueName("primRlr");

        jLabel18.setFont(new java.awt.Font("Helvetica", 0, 11));
        jLabel18.setText("Chapitre");

        cOTextField12.setDisplayGroupForValue(displayGroup);
        cOTextField12.setEnabledMethod("modificationEnCours");
        cOTextField12.setFont(new java.awt.Font("Helvetica", 0, 11));
        cOTextField12.setSupportsBackgroundColor(true);
        cOTextField12.setValueName("primChapitre");

        jLabel19.setFont(new java.awt.Font("Helvetica", 0, 11));
        jLabel19.setText("Article");

        cOTextField15.setDisplayGroupForValue(displayGroup);
        cOTextField15.setEnabledMethod("modificationEnCours");
        cOTextField15.setFont(new java.awt.Font("Helvetica", 0, 11));
        cOTextField15.setSupportsBackgroundColor(true);
        cOTextField15.setValueName("primArticle");

        jLabel20.setFont(new java.awt.Font("Helvetica", 0, 11));
        jLabel20.setText("Paragraphe");

        cOTextField13.setDisplayGroupForValue(displayGroup);
        cOTextField13.setEnabledMethod("modificationEnCours");
        cOTextField13.setFont(new java.awt.Font("Helvetica", 0, 11));
        cOTextField13.setSupportsBackgroundColor(true);
        cOTextField13.setValueName("primParagraphe");

        jLabel9.setFont(new java.awt.Font("Helvetica", 1, 11));
        jLabel9.setText("Début");

        cOTextField5.setDisplayGroupForValue(displayGroup);
        cOTextField5.setEnabledMethod("modificationEnCours");
        cOTextField5.setFont(new java.awt.Font("Helvetica", 0, 11));
        cOTextField5.setSupportsBackgroundColor(true);
        cOTextField5.setValueName("debutValiditeFormatee");

        jLabel11.setFont(new java.awt.Font("Helvetica", 0, 11));
        jLabel11.setText("Fin");

        cOTextField4.setDisplayGroupForValue(displayGroup);
        cOTextField4.setEnabledMethod("modificationEnCours");
        cOTextField4.setFont(new java.awt.Font("Helvetica", 0, 11));
        cOTextField4.setSupportsBackgroundColor(true);
        cOTextField4.setValueName("finValiditeFormatee");

        jLabel13.setFont(new java.awt.Font("Helvetica", 1, 11));
        jLabel13.setText("Code");

        cOTextField9.setDisplayGroupForValue(displayGroup);
        cOTextField9.setEnabledMethod("modificationEnCours");
        cOTextField9.setFont(new java.awt.Font("Helvetica", 0, 11));
        cOTextField9.setSupportsBackgroundColor(true);
        cOTextField9.setValueName("primCodeIndemnite");

        jLabel15.setFont(new java.awt.Font("Helvetica", 1, 11));
        jLabel15.setText("Code interne");

        cOTextField11.setDisplayGroupForValue(displayGroup);
        cOTextField11.setEnabledMethod("modificationEnCours");
        cOTextField11.setFont(new java.awt.Font("Helvetica", 0, 11));
        cOTextField11.setSupportsBackgroundColor(true);
        cOTextField11.setValueName("primCode");

        cOTextField7.setDisplayGroupForValue(displayGroup);
        cOTextField7.setEnabledMethod("modificationEnCours");
        cOTextField7.setFont(new java.awt.Font("Helvetica", 0, 11));
        cOTextField7.setSupportsBackgroundColor(true);
        cOTextField7.setValueName("primCodeRubriqueTg");

        jLabel17.setFont(new java.awt.Font("Helvetica", 0, 11));
        jLabel17.setText("Imput. Etat");

        cOTextField14.setDisplayGroupForValue(displayGroup);
        cOTextField14.setEnabledMethod("modificationEnCours");
        cOTextField14.setFont(new java.awt.Font("Helvetica", 0, 11)); // NOI18N
        cOTextField14.setSupportsBackgroundColor(true);
        cOTextField14.setValueName("primCodeComptePce");

        jLabel16.setFont(new java.awt.Font("Helvetica", 0, 11));
        jLabel16.setText("Code TG");

        cOButton8.setActionName("afficherPlanComptable");
        cOButton8.setBorderPainted(false);
        cOButton8.setEnabledMethod("modificationEnCours");
        cOButton8.setIconName("loupe16.gif");

        cOButton11.setActionName("supprimerPlanComptable");
        cOButton11.setBorderPainted(false);
        cOButton11.setEnabledMethod("peutSupprimerPlanComptable");
        cOButton11.setIconName("supprimer16.gif");

        org.jdesktop.layout.GroupLayout cOView1Layout = new org.jdesktop.layout.GroupLayout(cOView1);
        cOView1.setLayout(cOView1Layout);
        cOView1Layout.setHorizontalGroup(
            cOView1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(cOView1Layout.createSequentialGroup()
                .addContainerGap()
                .add(cOView1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(cOView1Layout.createSequentialGroup()
                        .add(cOCheckbox16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(cOCheckbox14, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(cOCheckbox15, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(cOCheckbox18, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(cOCheckbox12, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(cOView1Layout.createSequentialGroup()
                        .add(jLabel3)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                        .add(listeCodes, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 637, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                        .add(cOView1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING, false)
                            .add(cOButton5, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(cOButton4, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                    .add(cOCheckbox17, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(cOView1Layout.createSequentialGroup()
                        .add(cOView1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(jLabel4)
                            .add(jLabel5))
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(cOView1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(cOTextField3, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 614, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(cOView1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                                .add(vueBoutonsValidation, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .add(cOView1Layout.createSequentialGroup()
                                    .add(cOTextField2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 152, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                    .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                    .add(jLabel7)
                                    .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                    .add(cOComboBox5, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 102, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                    .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                    .add(jLabel6)
                                    .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                    .add(cOComboBox3, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 97, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                    .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                    .add(jLabel8)
                                    .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                    .add(cOComboBox4, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 97, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))))
                    .add(cOView1Layout.createSequentialGroup()
                        .add(cOView1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING, false)
                            .add(org.jdesktop.layout.GroupLayout.LEADING, cOView1Layout.createSequentialGroup()
                                .add(jLabel9)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(cOTextField5, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 66, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .add(14, 14, 14)
                                .add(jLabel11)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(cOTextField4, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 66, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                            .add(org.jdesktop.layout.GroupLayout.LEADING, cOView1Layout.createSequentialGroup()
                                .add(jLabel10)
                                .add(2, 2, 2)
                                .add(cOTextField6, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 94, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(cOButton11, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(cOButton8, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 18, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                        .add(10, 10, 10)
                        .add(cOView1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(jLabel12)
                            .add(jLabel13))
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(cOView1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING, false)
                            .add(cOView1Layout.createSequentialGroup()
                                .add(cOTextField10, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 81, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(jLabel14)
                                .add(2, 2, 2)
                                .add(cOTextField8, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 81, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(jLabel18)
                                .add(2, 2, 2)
                                .add(cOTextField12, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 40, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                            .add(cOView1Layout.createSequentialGroup()
                                .add(cOTextField9, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 79, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                                .add(jLabel15)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(cOTextField11, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 83, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                                .add(jLabel16)))
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(cOView1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                            .add(cOView1Layout.createSequentialGroup()
                                .add(jLabel19)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(cOTextField15, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 26, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                            .add(cOTextField7, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 62, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(cOView1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(cOView1Layout.createSequentialGroup()
                                .add(jLabel17)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                                .add(cOTextField14, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 26, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                            .add(cOView1Layout.createSequentialGroup()
                                .add(jLabel20)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(cOTextField13, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 26, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))))
                    .add(cOView1Layout.createSequentialGroup()
                        .add(jLabel2)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                        .add(cOTextField1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 637, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(cOView1Layout.createSequentialGroup()
                        .add(cOCheckbox13, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(cOView2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(20, 20, 20)
                        .add(cOButton1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                .addContainerGap())
        );
        cOView1Layout.setVerticalGroup(
            cOView1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(org.jdesktop.layout.GroupLayout.TRAILING, cOView1Layout.createSequentialGroup()
                .addContainerGap()
                .add(cOView1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel9)
                    .add(cOTextField5, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 21, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(cOTextField9, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 21, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel17)
                    .add(jLabel15)
                    .add(cOTextField11, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 21, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel11)
                    .add(cOTextField4, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 21, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(cOTextField7, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 21, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel16)
                    .add(jLabel13)
                    .add(cOTextField14, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 21, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(cOView1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel10)
                    .add(cOTextField6, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 21, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(cOTextField10, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 21, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel14)
                    .add(cOTextField8, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 21, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel18)
                    .add(jLabel20)
                    .add(cOTextField13, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 21, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel12)
                    .add(cOTextField12, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 21, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel19)
                    .add(cOTextField15, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 21, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(cOButton8, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 18, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(cOButton11, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 18, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(cOView1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(cOTextField2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 21, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel7)
                    .add(cOComboBox5, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel6)
                    .add(cOComboBox3, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel8)
                    .add(cOComboBox4, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel5))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(cOView1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel4)
                    .add(cOTextField3, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 21, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(cOView1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(cOCheckbox16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(cOCheckbox14, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(cOCheckbox15, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(cOCheckbox18, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(cOCheckbox12, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .add(cOView1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(cOView1Layout.createSequentialGroup()
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(cOView1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(cOView1Layout.createSequentialGroup()
                                .add(cOCheckbox13, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                                .add(cOCheckbox17, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .add(26, 26, 26))
                            .add(cOView1Layout.createSequentialGroup()
                                .add(cOView2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED))))
                    .add(cOView1Layout.createSequentialGroup()
                        .add(19, 19, 19)
                        .add(cOButton1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)))
                .add(cOView1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(jLabel3)
                    .add(listeCodes, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 87, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(cOView1Layout.createSequentialGroup()
                        .add(cOButton4, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(cOButton5, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(cOView1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                    .add(cOView1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                        .add(jLabel2)
                        .add(cOTextField1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 21, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(vueBoutonsValidation, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addContainerGap())
        );

        cOButton2.setActionName("dupliquer");
        cOButton2.setBorderPainted(false);
        cOButton2.setEnabledMethod("boutonModificationAutorise");
        cOButton2.setIconName("renouveler.gif");

        cOButton3.setActionName("ajouter");
        cOButton3.setBorderPainted(false);
        cOButton3.setEnabledMethod("modeSaisiePossible");
        cOButton3.setIconName("ajouter16.gif");

        cOButton6.setActionName("supprimer");
        cOButton6.setBorderPainted(false);
        cOButton6.setEnabledMethod("boutonModificationAutorise");
        cOButton6.setIconName("supprimer16.gif");

        cOButton7.setActionName("modifier");
        cOButton7.setBorderPainted(false);
        cOButton7.setEnabledMethod("boutonModificationAutorise");
        cOButton7.setIconName("modifier16.gif");

        org.jdesktop.layout.GroupLayout vueBoutonsModificationLayout = new org.jdesktop.layout.GroupLayout(vueBoutonsModification);
        vueBoutonsModification.setLayout(vueBoutonsModificationLayout);
        vueBoutonsModificationLayout.setHorizontalGroup(
            vueBoutonsModificationLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(vueBoutonsModificationLayout.createSequentialGroup()
                .addContainerGap()
                .add(vueBoutonsModificationLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(cOButton3, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(cOButton7, 0, 0, Short.MAX_VALUE)
                    .add(cOButton2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, Short.MAX_VALUE)
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, cOButton6, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addContainerGap())
        );
        vueBoutonsModificationLayout.setVerticalGroup(
            vueBoutonsModificationLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(vueBoutonsModificationLayout.createSequentialGroup()
                .add(cOButton3, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(cOButton7, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(cOButton2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 18, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(cOButton6, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addContainerGap(org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );

        org.jdesktop.layout.GroupLayout layout = new org.jdesktop.layout.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .addContainerGap()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(cOView1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(layout.createSequentialGroup()
                        .add(jLabel1)
                        .add(18, 18, 18)
                        .add(cOComboBox2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 109, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(119, 119, 119)
                        .add(cOComboBox1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 103, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(layout.createSequentialGroup()
                        .add(listeAffichage, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 728, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(2, 2, 2)
                        .add(vueBoutonsModification, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                .addContainerGap(29, Short.MAX_VALUE))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .add(2, 2, 2)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel1)
                    .add(cOComboBox2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(cOComboBox1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(listeAffichage, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 175, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(vueBoutonsModification, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .add(3, 3, 3)
                .add(cOView1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addContainerGap())
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents

    private void cOCheckbox9ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_cOCheckbox9ActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_cOCheckbox9ActionPerformed

    private void cOCheckbox1ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_cOCheckbox1ActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_cOCheckbox1ActionPerformed

    private void cOCheckbox16ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_cOCheckbox16ActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_cOCheckbox16ActionPerformed

    private void cOCheckbox15ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_cOCheckbox15ActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_cOCheckbox15ActionPerformed

    private void cOCheckbox6ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_cOCheckbox6ActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_cOCheckbox6ActionPerformed
  
    // Variables declaration - do not modify//GEN-BEGIN:variables
    public org.cocktail.component.COButton cOButton1;
    public org.cocktail.component.COButton cOButton10;
    public org.cocktail.component.COButton cOButton11;
    public org.cocktail.component.COButton cOButton2;
    public org.cocktail.component.COButton cOButton3;
    public org.cocktail.component.COButton cOButton4;
    public org.cocktail.component.COButton cOButton5;
    public org.cocktail.component.COButton cOButton6;
    public org.cocktail.component.COButton cOButton7;
    public org.cocktail.component.COButton cOButton8;
    public org.cocktail.component.COButton cOButton9;
    public org.cocktail.component.COCheckbox cOCheckbox1;
    public org.cocktail.component.COCheckbox cOCheckbox10;
    public org.cocktail.component.COCheckbox cOCheckbox11;
    public org.cocktail.component.COCheckbox cOCheckbox12;
    public org.cocktail.component.COCheckbox cOCheckbox13;
    public org.cocktail.component.COCheckbox cOCheckbox14;
    public org.cocktail.component.COCheckbox cOCheckbox15;
    public org.cocktail.component.COCheckbox cOCheckbox16;
    public org.cocktail.component.COCheckbox cOCheckbox17;
    public org.cocktail.component.COCheckbox cOCheckbox18;
    public org.cocktail.component.COCheckbox cOCheckbox2;
    public org.cocktail.component.COCheckbox cOCheckbox3;
    public org.cocktail.component.COCheckbox cOCheckbox4;
    public org.cocktail.component.COCheckbox cOCheckbox5;
    public org.cocktail.component.COCheckbox cOCheckbox6;
    public org.cocktail.component.COCheckbox cOCheckbox7;
    public org.cocktail.component.COCheckbox cOCheckbox8;
    public org.cocktail.component.COCheckbox cOCheckbox9;
    public org.cocktail.component.COComboBox cOComboBox1;
    public org.cocktail.component.COComboBox cOComboBox2;
    public org.cocktail.component.COComboBox cOComboBox3;
    public org.cocktail.component.COComboBox cOComboBox4;
    public org.cocktail.component.COComboBox cOComboBox5;
    public org.cocktail.component.COTextField cOTextField1;
    public org.cocktail.component.COTextField cOTextField10;
    public org.cocktail.component.COTextField cOTextField11;
    public org.cocktail.component.COTextField cOTextField12;
    public org.cocktail.component.COTextField cOTextField13;
    public org.cocktail.component.COTextField cOTextField14;
    public org.cocktail.component.COTextField cOTextField15;
    public org.cocktail.component.COTextField cOTextField2;
    public org.cocktail.component.COTextField cOTextField3;
    public org.cocktail.component.COTextField cOTextField4;
    public org.cocktail.component.COTextField cOTextField5;
    public org.cocktail.component.COTextField cOTextField6;
    public org.cocktail.component.COTextField cOTextField7;
    public org.cocktail.component.COTextField cOTextField8;
    public org.cocktail.component.COTextField cOTextField9;
    private org.cocktail.component.COView cOView1;
    private org.cocktail.component.COView cOView2;
    public org.cocktail.component.CODisplayGroup displayGroup;
    public org.cocktail.component.CODisplayGroupDetail displayGroupCodes;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel10;
    private javax.swing.JLabel jLabel11;
    private javax.swing.JLabel jLabel12;
    private javax.swing.JLabel jLabel13;
    private javax.swing.JLabel jLabel14;
    private javax.swing.JLabel jLabel15;
    private javax.swing.JLabel jLabel16;
    private javax.swing.JLabel jLabel17;
    private javax.swing.JLabel jLabel18;
    private javax.swing.JLabel jLabel19;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel20;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JLabel jLabel4;
    private javax.swing.JLabel jLabel5;
    private javax.swing.JLabel jLabel6;
    private javax.swing.JLabel jLabel7;
    private javax.swing.JLabel jLabel8;
    private javax.swing.JLabel jLabel9;
    public org.cocktail.component.COTable listeAffichage;
    public org.cocktail.component.COTable listeCodes;
    public org.cocktail.component.COView vueBoutonsModification;
    public org.cocktail.component.COView vueBoutonsValidation;
    // End of variables declaration//GEN-END:variables
                  

}
